Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io.textresult
Class IObjectGroupingTextResult

    java.lang.Object
      infomat.io.textresult.IObjectGroupingTextResult

All Implemented Interfaces:
  HasProperties

    public class IObjectGroupingTextResult

extends java.lang.Object
implements HasProperties

For loading and saving groupings to text.

Field Summary
`(package private) java.lang.String` | `exportPropertiesFileName`
`private java.io.File` | `groupDir`
`private java.lang.String` | `groupDirectoryName`
`private java.util.HashMap<IObjectGroup,java.lang.String>` | `groupFileNamesMap`
`private IObjectGrouping` | `grouping`
`private IObjectFloatSorter` | `iobjectFloatSorter`
`(package private) java.lang.String` | `iobjectGroupNotSavedFileName`
`(package private) java.lang.String` | `iobjectNotSavedFileName`
`private IMatrix` | `matrix`
`private Properties` | `properties`
`private java.io.File` | `resultFile`
`private java.lang.String` | `separator`
`private ISimilarity` | `similarity`
`private long` | `time`
`private java.lang.String` | `xslGroupFileName`
`private java.lang.String` | `xslGroupingFileName`

Constructor Summary
`IObjectGroupingTextResult()`
`IObjectGroupingTextResult(Properties properties)`

Method Summary
`private java.lang.String` | `fixFileName(java.lang.String name)`
`Properties` | `getDefaultProperties()`
`private java.lang.String` | `getExportPropertiesFileName()`
`private java.lang.String` | `getIObjectGroupNotSavedFileName()`
`private java.lang.String` | `getIObjectNotSavedFileName()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`void` | `printGroupingDTD(java.io.PrintWriter out)`
`void` | `printGroupingXSL(java.io.PrintWriter pw)` Prints a basic XSL-file for IObjectGrouping XML-files to a `PrintWriter`.
`void` | `printIObjectGroupingXSLReference(java.io.PrintWriter pw)` Prints a reference to the Properties-XSL-file to a `PrintWriter`.
`
`<T extends IVectorIndex> void`
` | `save(IMatrix matrix, IObjectGrouping grouping, java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap, ISimilarity similarity, java.io.File file)` Exports IObjectGrouping in XML format
`void` | `save(IMatrix matrix, IObjectGrouping grouping, ISimilarity similarity, java.io.File file)` Exports IObjectGrouping in XML format
`
`<T extends IVectorIndex> void`
` | `saveGroupFiles(java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)`
`private
`<T extends IVectorIndex> void`
` | `saveGroupingFile(java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)`
`private
`<T extends IVectorIndex> void`
` | `saveGroupNode(java.io.PrintWriter out, IObjectGroupNode node, java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)`
`private
`<T extends IVectorIndex> void`
` | `saveHierarchy(java.io.PrintWriter out, HierarchicalIObjectGrouping hging, java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)`
`private void` | `saveInfoHTMLFiles(java.lang.String resultDirectoryName)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### similarity

    private ISimilarity similarity

### matrix

    private IMatrix matrix

### grouping

    private IObjectGrouping grouping

### time

    private long time

### resultFile

    private java.io.File resultFile

### groupDirectoryName

    private java.lang.String groupDirectoryName

### groupDir

    private java.io.File groupDir

### separator

    private java.lang.String separator

### groupFileNamesMap

    private java.util.HashMap<IObjectGroup,java.lang.String> groupFileNamesMap

### xslGroupingFileName

    private java.lang.String xslGroupingFileName

### xslGroupFileName

    private java.lang.String xslGroupFileName

### properties

    private Properties properties

### iobjectFloatSorter

    private IObjectFloatSorter iobjectFloatSorter

### iobjectNotSavedFileName

    java.lang.String iobjectNotSavedFileName

### iobjectGroupNotSavedFileName

    java.lang.String iobjectGroupNotSavedFileName

### exportPropertiesFileName

    java.lang.String exportPropertiesFileName

Constructor Detail

### IObjectGroupingTextResult

    public IObjectGroupingTextResult()

### IObjectGroupingTextResult

    public IObjectGroupingTextResult(Properties properties)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### fixFileName

    private java.lang.String fixFileName(java.lang.String name)

### saveInfoHTMLFiles

    private void saveInfoHTMLFiles(java.lang.String resultDirectoryName)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIObjectNotSavedFileName

    private java.lang.String getIObjectNotSavedFileName()

### getIObjectGroupNotSavedFileName

    private java.lang.String getIObjectGroupNotSavedFileName()

### getExportPropertiesFileName

    private java.lang.String getExportPropertiesFileName()

### save

    public void save(IMatrix matrix,
                     IObjectGrouping grouping,
                     ISimilarity similarity,
                     java.io.File file)

  Exports IObjectGrouping in XML format

### save

    public <T extends IVectorIndex> void save(IMatrix matrix,
                                              IObjectGrouping grouping,
                                              java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap,
                                              ISimilarity similarity,
                                              java.io.File file)

  Exports IObjectGrouping in XML format

### saveGroupFiles

    public <T extends IVectorIndex> void saveGroupFiles(java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### printGroupingDTD

    public void printGroupingDTD(java.io.PrintWriter out)

### printGroupingXSL

    public void printGroupingXSL(java.io.PrintWriter pw)
                          throws java.io.IOException

  Prints a basic XSL-file for IObjectGrouping XML-files to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printIObjectGroupingXSLReference

    public void printIObjectGroupingXSLReference(java.io.PrintWriter pw)
                                          throws java.io.IOException

  Prints a reference to the Properties-XSL-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### saveGroupingFile

    private <T extends IVectorIndex> void saveGroupingFile(java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveHierarchy

    private <T extends IVectorIndex> void saveHierarchy(java.io.PrintWriter out,
                                                        HierarchicalIObjectGrouping hging,
                                                        java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveGroupNode

    private <T extends IVectorIndex> void saveGroupNode(java.io.PrintWriter out,
                                                        IObjectGroupNode node,
                                                        java.util.HashMap<IObjectGroup,IVector<T>> descriptionVecMap)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD